Bug 142908 - [NEW PORT] devel/p5-Test-Synopsis: Test your SYNOPSIS code in CPAN module
Summary: [NEW PORT] devel/p5-Test-Synopsis: Test your SYNOPSIS code in CPAN module
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sylvio Cesar Teixeira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-17 13:30 UTC by Takuya Tsuchida
Modified: 2010-02-03 00:00 UTC (History)
0 users

See Also:


Attachments
p5-Test-Synopsis-0.06.shar (2.19 KB, text/plain)
2010-01-17 13:30 UTC, Takuya Tsuchida
no flags Details
p5-Test-Synopsis-0.06.shar (2.19 KB, application/x-shar)
2010-01-26 13:43 UTC, Takuya Tsuchida
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Takuya Tsuchida 2010-01-17 13:30:02 UTC
Test::Synopsis is an (author) test module to find .pm or .pod files under 
your lib directory and then make sure the example snippet code in your 
SYNOPSIS section passes the perl compile check.

WWW:	http://search.cpan.org/dist/Test-Synopsis/

Generated with FreeBSD Port Tools 0.99
Comment 1 Sylvio Cesar Teixeira freebsd_committer 2010-01-17 14:42:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sylvio

I'll take it.
Comment 2 Sylvio Cesar Teixeira freebsd_committer 2010-01-25 22:23:41 UTC
State Changed
From-To: open->feedback

Waiting the fix to plist.
Comment 3 Sylvio Cesar Teixeira freebsd_committer 2010-01-25 22:25:35 UTC
Hi,

Error:
http://people.freebsd.org/~sylvio/p5-Test-Synopsis-0.06.log

Sylvio Cesar
Comment 4 Takuya Tsuchida 2010-01-26 13:43:03 UTC
Dear Sylvio,

Thank you very much for cheking my port.
I fixed pkg-plist and attached in this mail.

Regards,
Takuya Tsuchida
Comment 5 dfilter service freebsd_committer 2010-02-02 23:54:18 UTC
sylvio      2010-02-02 23:54:09 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/p5-Test-Synopsis Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Test::Synopsis is an (author) test module to find .pm or .pod files under your lib directory and then make sure the example snippet code in your SYNOPSIS section passes the perl compile check.
  
  WWW: http://search.cpan.org/dist/Test-Synopsis/
  
  PR:             ports/142908
  Submitted by:   Takuya Tsuchida <tsucchi@cpan.org>
  Approved by:    miwi (mentor)
  
  Revision  Changes    Path
  1.3810    +1 -0      ports/devel/Makefile
  1.1       +25 -0     ports/devel/p5-Test-Synopsis/Makefile (new)
  1.1       +3 -0      ports/devel/p5-Test-Synopsis/distinfo (new)
  1.1       +5 -0      ports/devel/p5-Test-Synopsis/pkg-descr (new)
  1.1       +3 -0      ports/devel/p5-Test-Synopsis/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Sylvio Cesar Teixeira freebsd_committer 2010-02-02 23:55:09 UTC
State Changed
From-To: feedback->closed

New port added, with minor changes. Thanks!